#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int i,A[n];
    for(i=0;i<n;i++)
        scanf("%d",&A[i]);
    if(n==2)
    {
        int pom;
        pom=A[0];
        A[0]=A[1];
        A[1]=pom;
    }
    else
    {
        if(A[0]>A[1])
        {
            int i=1,pom=0;
            while(pom==0&&i<n)
            {
                if(A[i]<A[i+1])
                {
                    int temp;
                    temp=A[i];
                    A[i]=A[i+1];
                    A[i+1]=temp;
                    pom++;
                }
                i++;
            }
        }
        else if(A[0]<A[1])
        {
            int i=1,pom=0;
            while(pom==0&&i<n)
            {
                if(A[i]>A[i+1])
                {
                    int temp;
                    temp=A[i];
                    A[i]=A[i+1];
                    A[i+1]=temp;
                    pom++;
                }
                i++;
            }
        }
    }
    for(i=0;i<n;i++)
        printf("%d ",A[i]);
}